HyperTask Mon, 12 Aug 2019 02:10:49 +0000 packages https://issues.hyperbola.info/ FS#1331: [python2-reportlab] python2-pip dependency fablamar Thu, 03 Jan 2019 06:48:24 +0000 Since python-pip and python2-pip have been removed, I can’t install python2-reportlab because python2-pip is a dependency of this package.
.

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1331 https://issues.hyperbola.info/index.php?do=details&task_id=1331
FS#1362: [tcpreplay] CVEs belette Thu, 21 Feb 2019 17:01:46 +0000 A huge number of CVEs have been fixed on 4.3.1 :

CVE-2018-20552
CVE-2018-20553
CVE-2018-18408
CVE-2018-18407
CVE-2018-17974
CVE-2018-17580
CVE-2018-17582
CVE-2018-13112

Current Hyperbola version is 4.2.6

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1362 https://issues.hyperbola.info/index.php?do=details&task_id=1362
FS#1227: [libssh] CVE-2018-10933 belette Wed, 17 Oct 2018 08:49:01 +0000 Description:
libssh versions 0.6 and above have an authentication bypass vulnerability in
the server code. By presenting the server an SSH2_MSG_USERAUTH_SUCCESS message
in place of the SSH2_MSG_USERAUTH_REQUEST message which the server would expect
to initiate authentication, the attacker could successfully authentciate
without any credentials.

Additional info:
* package version(s) : extra/libssh 0.7.5-1

CVE

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1227 https://issues.hyperbola.info/index.php?do=details&task_id=1227
FS#1356: [dokuwiki] CVEs belette Mon, 18 Feb 2019 08:34:05 +0000 Our current dokuwiki 20170219_b-1 has two serious CVE.

Error message attached after the first installation

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1356 https://issues.hyperbola.info/index.php?do=details&task_id=1356
FS#695: [deepin-desktop-base] Check for CNZZ Spyware Luke Fri, 13 Apr 2018 00:42:20 +0000 As per a recent discovery, we should check if our deepin is affected by the CNZZ spyware in the AppStore.
https://www.youtube.com/watch?v=v25Dy66AtNI

We also shouldn’t use the AppStore if it exists, due to non-free apps.

Known files:
> usr/share/dbus-1/system-services/com.deepin.daemon.Apps.service
> etc/appstore.json

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=695 https://issues.hyperbola.info/index.php?do=details&task_id=695
FS#1341: [man-pages] contains nonfree POSIX manual pages André Silva Fri, 18 Jan 2019 01:17:48 +0000 Description:

  • Arch distributes a version of man-pages with manual pages from the POSIX standard. The man-pages project is permitted to distribute them and Andries Brouwer assumes that re-distribution by vendors is permitted as well. However, modification is definitively not allowed, hence this contribution by The Institute of Electrical and Electronics Engineers and The Open Group render the entire man-pages package nonfree. The way to solve it is remove all nonfree POSIX manual pages from man-pages package.

Additional info:
* package version(s)

  • 4.11-1

* config and/or log files etc.

  • License file (POSIX-COPYRIGHT):
The Institute of Electrical and Electronics Engineers (IEEE) and
The Open Group, have given us permission to reprint portions of
their documentation.

In the following statement, the phrase ``this text'' refers to
portions of the system documentation.

Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2013 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 7, Copyright (C) 2013 by the Institute of Electri-
cal and Electronics Engineers, Inc and The Open Group.  (This is
POSIX.1-2008 with the 2013 Technical Corrigendum 1 applied.) In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document.  The original Standard can be obtained online
at http://www.unix.org/online.html .

This notice shall appear on any product containing this material.

Redistribution of this material is permitted so long as this notice and
the corresponding notices within each POSIX manual page are retained on
any distribution, and the nroff source is included. Modifications to
the text are permitted so long as any conflicts with the standard
are clearly marked as such in the text.

Steps to reproduce:

  • See license in /usr/share/licenses/man-pages/POSIX-COPYRIGHT
]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1341 https://issues.hyperbola.info/index.php?do=details&task_id=1341
FS#1395: [cronie] /bin/sh: /usr/bin/nano: No existe el fichero o el directorio Jesús E. Thu, 08 Aug 2019 23:51:58 +0000 Description:

crontab -e
/bin/sh: /usr/bin/nano: No existe el fichero o el directorio
crontab: "/usr/bin/nano" exited with status 127

Additional info:

Repositorio               : core
Nombre                    : cronie
Versión                   : 1.5.1-1.hyperbola6
Descripción               : Daemon that runs specified programs at scheduled times and related
                            tools, with logger recommendation and OpenRC support
Arquitectura              : x86_64
URL                       : https://github.com/cronie-crond/cronie/
Licencias                 : ISC
Grupos                    : Nada
Provee                    : cron
Depende de                : pam  bash  run-parts
Dependencias opcionales   : smtp-server: send job output via email
                            smtp-forwarder: forward job output to email server
                            logger: message logging support
En conflicto con          : cron
Remplaza a                : Nada
Tamaño de la descarga     : 69,08 KiB
Tamaño de la instalación  : 266,00 KiB
Encargado                 : HyperBuilder <hyperbuilder@hyperbola.info>
Fecha de creación         : mié 02 ene 2019 03:03:57 -05
Validado por              : Suma MD5  Suma SHA-256  Firma

Steps to reproduce:

* Install cronie in v0.3

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1395 https://issues.hyperbola.info/index.php?do=details&task_id=1395
FS#1393: [ardour] require re-build Jesús E. Thu, 01 Aug 2019 16:24:28 +0000 Description:

Ardour require rebuild in v0.3

Additional info:

Repositorio               : extra
Nombre                    : ardour
Versión                   : 5.8-1
Descripción               : Professional-grade digital audio workstation
Arquitectura              : x86_64
URL                       : http://ardour.org/
Licencias                 : GPL
Grupos                    : Nada
Provee                    : Nada
Depende de                : liblrdf  liblo  lilv  suil  taglib  aubio  rubberband  gtkmm
Dependencias opcionales   : xjadeo: video monitoring
                            harvid: video timeline
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 8,31 MiB
Tamaño de la instalación  : 38,16 MiB
Encargado                 : Rashif Rahman (Ray) <schiv@archlinux.org>
Fecha de creación         : mié 26 abr 2017 02:45:34 -05
Validado por              : Suma MD5  Suma SHA-256  Firma
$ ldd /usr/lib/ardour5/ardour-5.8.0 | grep 'not found'

	libardourcp.so => not found
	libcanvas.so.0 => not found
	libgtkmm2ext.so.0 => not found
	libptformat.so.0 => not found
	libardour.so.3 => not found
	libmidipp.so.4 => not found
	libevoral.so.0 => not found
	libaudiographer.so.0 => not found
	libpbd.so.4 => not found
	libtimecode.so => not found

Steps to reproduce:

* Install package in v0.3

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1393 https://issues.hyperbola.info/index.php?do=details&task_id=1393
FS#1392: [minetest] update package version to 5.0.1 Jayvee Enaguas Thu, 25 Jul 2019 04:05:05 +0000 In version 5.0.0 and 5.0.1, there are several added and changed (new or existing) features and functions, and fixed bug, crash and other issues.

See those two sections in the version history releases for more details: https://dev.minetest.net/Changelog

]]>
https://issues.hyperbola.info/index.php?do=details&task_id=1392 https://issues.hyperbola.info/index.php?do=details&task_id=1392
FS#734: [postgresql] creating directory Permission denied Jesús E. Sat, 12 May 2018 18:43:49 +0000 In the File postgresql.install

the output is:

    ==> requires datadir /var/lib/data
    ==> run as user postgres: 'initdb -D /var/lib/data'

when it should be:

    ==> requires datadir /var/lib/postgres/data
    ==> run as user postgres: 'initdb -D /var/lib/postgres/data'

It may be necessary to change:

local datadir = "/var/lib/data"

to

local datadir = "/var/lib/postgres/data"

The comand for default fails:

creating directory /var/lib/data... initdb: could not create directory "/var/lib/data": Permission denied
]]>
https://issues.hyperbola.info/index.php?do=details&task_id=734 https://issues.hyperbola.info/index.php?do=details&task_id=734